Class | TkText::Peer
In: | tk/lib/tk/text.rb
Parent: | TkText

### Methods

new

### Public Class methods

new(text, parent=nil, keys={})

Tk8.5 feature

[Source]

    # File tk/lib/tk/text.rb, line 1442
      def initialize(text, parent=nil, keys={})
        unless text.kind_of?(TkText)
          fail ArgumentError, "TkText is expected for 1st argument"
        end
        @src_text = text
        super(parent, keys)
      end

[Validate]